Bug 404877 - kdenlive adds empty space between word wraped text in the Title-Editor after reopening a project
Summary: kdenlive adds empty space between word wraped text in the Title-Editor after ...
Status: RESOLVED FIXED
Alias: None
Product: kdenlive
Classification: Unclassified
Component: Effects & Transitions (show other bugs)
Version: 18.12.1
Platform: Microsoft Windows Microsoft Windows
: NOR normal (vote)
Target Milestone: ---
Assignee: Vincent PINON
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-27 18:56 UTC by xtrembug
Modified: 2020-07-14 16:54 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 20.08.0
fritzibaby: Brainstorm+


Attachments
Screenshot of the title-editor, the project-tree preview and the project-monitor (283.48 KB, image/jpeg)
2019-02-27 18:56 UTC, xtrembug
Details
Project file (98.74 KB, application/xml)
2019-03-05 19:27 UTC, xtrembug
Details
CrashLog_404877 (315.17 KB, image/png)
2019-03-10 15:39 UTC, emohr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description xtrembug 2019-02-27 18:56:50 UTC
Created attachment 118403 [details]
Screenshot of the title-editor, the project-tree preview and the project-monitor

Hello KDE Team.

Thanks for your great program. I hope I can explain the bug correct.
Please have indulgence, english is not my native language.
 

SUMMARY

STEPS TO REPRODUCE
1. Add title clip to the project
2. Edit the title with some word wrap (enter)
3. Save the project and close the program
4. Start the program and open the project again
5. Sometimes the title gets 3 empty lines between the word wraped text -> ONLY in the Title-Editor. Preview is correct.

OBSERVED RESULT
Sometimes the text gets 3 emtpy lines after every line

EXPECTED RESULT
No empty lines 


SOFTWARE/OS VERSIONS
Windows: 10 Pro, 10.0.17134

ADDITIONAL INFORMATION
CPU: Intel Core i7-4790K | RAM: 8GB PC3-10700 (4x2) | GPU: Asus GeForce GTX 970 Strix (Driver 417.35) | Motherboard: Sabertooth Z97 Mark1 v3503
Comment 1 xtrembug 2019-02-27 19:45:13 UTC
I think it happens when I open the project file after the program crashed.
Comment 2 emohr 2019-03-02 14:13:52 UTC
Thank you for reporting. A similar case is here: https://forum.kde.org/viewtopic.php?f=265&t=159689. 

Can you upload the Kdenlive project file with this problem. 

It could be an issue with the German character set or the “comma” instead of “point” issue.
Comment 3 xtrembug 2019-03-05 19:27:56 UTC
Created attachment 118580 [details]
Project file

Added project file
Comment 4 emohr 2019-03-10 15:39:58 UTC
Created attachment 118688 [details]
CrashLog_404877

Thanks for uploading the Kdenlive file.

When I load your project, Kdenlive 18.12.1 Windows crashes. 

When I load it into 18.12.1b AppImage I get the comma/point error and an “Effect qtblend issue with MLT” error. Then the project is loaded and the title text has no additional empty lines. 

Loading into refactoring version #107 I get the comma/point issue and after the project is loaded, the title text has no additional empty lines. 

I added this bug to https://invent.kde.org/kde/kdenlive/issues/78. 

To solve the title text issue please try comment No.15 of this problem: https://bugs.kde.org/show_bug.cgi?id=403936#c15
Comment 5 emohr 2020-07-14 16:54:15 UTC
Comma point issue is fixed with version 20.08.0.